=== Applications/CMakeLists.txt ===
SUBDIRS(Cxx)
