=== Utilities/CMakeLists.txt ===
# Wrapping and stuff

# Do jpeg (8,12, 16 lossly lossless). From ijg
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmjpeg/COPYRIGHT.dcmtk)
IF(NOT GDCM_USE_SYSTEM_LJPEG)
  SET(JPEG_NAMESPACE "GDCMJPEG")
  SET(JPEG_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(JPEG_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(JPEG_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SET(JPEG_INSTALL_INCLUDE_DIR  ${GDCM_INSTALL_INCLUDE_DIR})
  SUBDIRS(gdcmjpeg)
ENDIF(NOT GDCM_USE_SYSTEM_LJPEG)

# Do expat
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmexpat/COPYING)
IF(NOT GDCM_USE_SYSTEM_EXPAT)
  SET(EXPAT_NAMESPACE "GDCMEXPAT")
  SET(EXPAT_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(EXPAT_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(EXPAT_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SUBDIRS(gdcmexpat)
ENDIF(NOT GDCM_USE_SYSTEM_EXPAT)

# Do openjpeg (jpeg2000 implementation)
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmopenjpeg/BSDlicense.txt)
IF(NOT GDCM_USE_SYSTEM_OPENJPEG)
  SET(OPENJPEG_NAMESPACE "GDCMOPENJPEG")
  SET(OPENJPEG_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(OPENJPEG_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(OPENJPEG_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SET(OPENJPEG_INSTALL_INCLUDE_DIR  ${GDCM_INSTALL_INCLUDE_DIR})
  SUBDIRS(gdcmopenjpeg)
ENDIF(NOT GDCM_USE_SYSTEM_OPENJPEG)

# Do jpegls (JPEG-LS aka near lossless implementation)
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmcharls/License.txt)
IF(GDCM_USE_JPEGLS)
  SET(CHARLS_NAMESPACE "GDCMCHARLS")
  SET(CHARLS_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(CHARLS_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(CHARLS_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SET(CHARLS_INSTALL_INCLUDE_DIR  ${GDCM_INSTALL_INCLUDE_DIR})
  SUBDIRS(gdcmcharls)
ENDIF(GDCM_USE_JPEGLS)

# Do md5
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmmd5/COPYING)
IF(GDCM_BUILD_TESTING)
IF(NOT GDCM_USE_SYSTEM_MD5)
  SET(MD5_NAMESPACE "GDCMMD5")
  SET(MD5_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(MD5_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(MD5_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SUBDIRS(gdcmmd5)
ENDIF(NOT GDCM_USE_SYSTEM_MD5)
ENDIF(GDCM_BUILD_TESTING)

# Do zlib
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmzlib/COPYING)
IF(NOT GDCM_USE_SYSTEM_ZLIB)
  SET(ZLIB_NAMESPACE "GDCMZLIB")
  SET(ZLIB_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(ZLIB_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(ZLIB_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SUBDIRS(gdcmzlib)
ENDIF(NOT GDCM_USE_SYSTEM_ZLIB)

# Do getopt
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/getopt/COPYING)
IF(WIN32 AND NOT CYGWIN)
  SET(GETOPT_NAMESPACE "GDCMGETOPT")
  SET(GETOPT_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
  SET(GETOPT_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
  SET(GETOPT_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
  SUBDIRS(getopt)
ENDIF(WIN32 AND NOT CYGWIN)

SUBDIRS(doxygen)

# you could be running mingw32 on linux in which case you do NOT want the gdcmuuid lib
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/gdcmuuid/COPYING)
IF(NOT WIN32 AND NOT MINGW)
  IF(NOT GDCM_USE_SYSTEM_UUID)
    SET(UUID_NAMESPACE "GDCMUUID")
    SET(UUID_INSTALL_NO_LIBRARIES ${GDCM_INSTALL_NO_LIBRARIES})
    SET(UUID_INSTALL_BIN_DIR      ${GDCM_INSTALL_BIN_DIR})
    SET(UUID_INSTALL_LIB_DIR      ${GDCM_INSTALL_LIB_DIR})
    SUBDIRS(gdcmuuid)
  ENDIF(NOT GDCM_USE_SYSTEM_UUID)
ENDIF(NOT WIN32 AND NOT MINGW)

APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/pvrg/COPYING)
IF(GDCM_USE_PVRG)
  IF(NOT GDCM_USE_SYSTEM_PVRG)
    SUBDIRS(pvrg)
  ENDIF(NOT GDCM_USE_SYSTEM_PVRG)
ENDIF(GDCM_USE_PVRG)

IF(GDCM_USE_RLE)
  SUBDIRS(rle)
ENDIF(GDCM_USE_RLE)

# Do C99
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/C99/COPYING)

# Do wxVTK
APPEND_COPYRIGHT(${CMAKE_CURRENT_SOURCE_DIR}/wxWidgets/Copyright.txt)

#IF(NOT GDCM_INSTALL_NO_DEVELOPMENT)
##  FILE(GLOB header_files "*.h" "*.txx")
#  INSTALL(FILES 
##${header_files}
#gdcm_expat.h
##gdcm_md5.h # In an install tree there should not be the need for the md5 lib...
#gdcm_openjpeg.h
#gdcm_uuid.h
#gdcm_zlib.h
#    DESTINATION ${GDCM_INSTALL_INCLUDE_DIR} COMPONENT Headers
#  )
#ENDIF(NOT GDCM_INSTALL_NO_DEVELOPMENT)

#IF(GDCM_USE_KWSTYLE)
  SUBDIRS(KWStyle)
#ENDIF(GDCM_USE_KWSTYLE)
