=== debian/changelog ===
gdcm (2.0.16-2) unstable; urgency=low

  * Fix FTBFS where doxygen/dot threading is not working (Closes: #593578)

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 19 Aug 2010 12:38:58 +0200

gdcm (2.0.16-1) unstable; urgency=low

  * New upstream
  * Fix lintian warning (non-dev-pkg-with-shlib-symlink)
  * Update Standard-Version to 3.9.1
  * Switch to dpkg-source 3.0 (quilt) format

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 18 Aug 2010 11:18:08 +0200

gdcm (2.0.15-1) unstable; urgency=low

  * New upstream

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 09 Jul 2010 15:36:01 +0200

gdcm (2.0.14-9) unstable; urgency=low

  * Completely remove findjni.cmake from GDCM. 
    Failure on hppa was caused by dangling symlink

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 05 May 2010 16:01:23 +0200

gdcm (2.0.14-8) unstable; urgency=low

  * FTBFS on hppa. Fix the local findjni.cmake to search include dir properly

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 04 May 2010 16:24:41 +0200

gdcm (2.0.14-7) unstable; urgency=low

  * FTBFS on hppa. Enhance the local findjni.cmake to search in hppa subdir

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 04 May 2010 10:17:25 +0200

gdcm (2.0.14-6) unstable; urgency=low

  * FTBFS on mipsel and armel, unable to find java. Closes: #579959

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 03 May 2010 19:12:03 +0200

gdcm (2.0.14-5) unstable; urgency=low

  * Fix a lintian issue about embedded-libjpeg
  * Fix CMake viral dependency propagation . Closes: #579642

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Fri, 30 Apr 2010 12:43:35 +0200

gdcm (2.0.14-4) unstable; urgency=low

  * Fix more lintian issue about debhelper-but-no-misc-depends
  * Fix python issue. Closes: #567694
  * Use virtual package for jpeg, tiff and expat
  * Update debian policy 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 08 Feb 2010 22:06:23 +0100

gdcm (2.0.14-3) unstable; urgency=low

  * csc has been removed, renamed to mono-csc. Closes: #563020
  * Fix some lintian issues (${misc:Depends} and XS-Python-Version)
  * Fix FTBS due to broken symlink in libvtk-java. Closes: #564246
  * Update control file to deal with cmake/vtk transitive behavior. 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 17 Jan 2010 18:35:45 +0100

gdcm (2.0.14-2) unstable; urgency=low

  * Fix issue on buildd machine with cmake 2.8.
  * Move the python library to the python-vtkgdcm package

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 16 Nov 2009 11:52:45 +0100

gdcm (2.0.14-1) unstable; urgency=low

  * New upstream.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 12 Nov 2009 16:38:52 +0100

gdcm (2.0.13-2) unstable; urgency=low

  * Fix SONAME for gdcmDict / gdcmcharls. Closes: #553410
  * Fix some lintian issue (need to escape double dots).

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Sun, 01 Nov 2009 16:05:47 +0100

gdcm (2.0.13-1) unstable; urgency=low

  * New release: GDCM 2.0.13. Closes: #552552
  * Fix debian layout to deal with new CharLS (JPEG-LS) library.
  * Fix issue with java covariant return type. Closes: #542253

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 27 Oct 2009 09:57:23 +0100

gdcm (2.0.12-11) unstable; urgency=low

  * XML files are part of the runtime lib (used by gdcminfo as ressources).
  * Recommends pvrg-jpeg
  * Suggest dicom3tools

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Tue, 28 Jul 2009 10:32:00 +0200

gdcm (2.0.12-10) unstable; urgency=low

  * Reactivate build on armel since mono team fixed the FTBS issue.
  * Fix lintian: dh_clean -k is deprecated. Use dh_prep

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 16 Jul 2009 16:00:06 +0200

gdcm (2.0.12-9) unstable; urgency=low

  * Fix FTBS on hppa, with gcj 4.4. javac does not support -cp cmd line option 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Thu, 16 Jul 2009 14:38:58 +0200

gdcm (2.0.12-8) unstable; urgency=low

  * Fix issue with LD_LIBRARY_PATH and dh_shlibdeps on private libs
    This should fix the FTBS on alpha/buildd system:
    install: cannot change owner and permissions of `debian/libgdcm-cil/DEBIAN': 
    Operation not permitted

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 15 Jul 2009 13:53:23 +0200

gdcm (2.0.12-7) unstable; urgency=low

  * Fix debhelper-script-needs-versioned-build-depends
  * Add dependency on ghostscript 
  * Remove mips (mono not available)
  * Fix lintian missing-dependency-on-libc on libvtkgdcm-java package

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 13 Jul 2009 12:20:04 +0200

gdcm (2.0.12-6) unstable; urgency=low

  * dh_shlibdeps -Nlibvtkgdcm-java so that we avoid issues with private libs.
  * Bug #533198, moved vtk Java libraries from /usr/lib to /usr/lib/jni. Support
    both old and new layout.

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 13 Jul 2009 10:39:12 +0200

gdcm (2.0.12-5) unstable; urgency=low

  * Yet-Another-Attempt at fixing armel/alpha. Thanks to George Danchev
    (debian-mentors) for patch. 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 13 Jul 2009 09:24:25 +0200

gdcm (2.0.12-4) unstable; urgency=low

  * Another attempt at fixing armel
  * Fix swig/C# wrapper to load gdcmsharpglue (instead of gdcm)
  * Reactivate the missing gcc44.patch (gdcm svn rev: 5852). 
    Thanks to Andrea Gasparini for report 

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Wed, 08 Jul 2009 09:48:32 +0200

gdcm (2.0.12-3) unstable; urgency=low

  * Fix build on system without mono
  * Remove armel (for now)
  * Fix remaining lintian issue

 -- Mathieu Malaterre <mathieu.malaterre@gmail.com>  Mon, 06 Jul 2009 10:00:10 +0200

gdcm (2.0.12-2) unstable; urgency=low

  * Update to gdcm 2.0.12. Closes: #534694
  * Fix Build-Depends so that csc is found. Closes: #535567


